html, body, .container-fluid {
    height: 100%;
}

#main-row {
    height: calc( 100% - 80px );
}

body {
/* 英字フォント */
  font-family: 'Kalam', cursive;
/* 木目調背景 */
  background:
    linear-gradient(
      90deg,
      rgba(215, 164, 109, 0.6),
      rgba(201, 151, 95, 0.6) 60%,
      rgba(215, 164, 109, 0.6)
    ),
    repeating-radial-gradient(
      ellipse at 60% 500%,
      #c08646,
      #c08646 0.2%,
      #d09352 0.6%,
      #d09352 1%
    );
}

/* 日本語フォント */
#main-col {
    font-family: 'Kosugi Maru', sans-serif;
}


#main-col {
    /* 表紙背景 */
    background-image: url(../image/cover2b-min.png);

    /* 画像を常に左寄せ中央に配置 */
    background-position: left center;

    /* 画像をタイル状に繰り返し表示しない */
    background-repeat: no-repeat;

    /* コンテンツの高さが画像の高さより大きい時、動かないように固定 */
    background-attachment: fixed;

    /* 表示するコンテナの大きさに基づいて、背景画像を調整 */
    background-size: cover;
}

#main-col {
    padding-left: 5rem;
}

@media (min-width: 992px) {
    #main-col {
        padding-left: 7rem;
    }
}

@media (min-width: 1500px) {
    #main-col {
        padding-left: 9rem;
    }
}


/* タイトル */

.logo {
  font-family: 'Baloo Tamma', 'Kalam', cursive;
  width: 100%;
  margin: 0px auto;
  color: #fcfcf7;
  letter-spacing: 5px;
  text-shadow: -1px -1px 0px #8f0000,
     3px 3px 0px #8f0000,
     6px 6px 0px #400000;
}

.mdi-chef-hat {
  font-size: 5rem;
}

/* 鍋 */

.mdi-pot-mix {
  font-size: 10rem;
  position: relative;
}

.mdi-pot-mix::before {
  color: transparent;
  background: linear-gradient(90deg, #757575 0%, #9E9E9E 25%, #E8E8E8 55%, #9E9E9E 85%, #757575 90% 100%);
  -webkit-background-clip: text;
}

.fire {
  color: #F29F05;
  font-size: 2.2rem;
  position: absolute;
  bottom: 1rem;
  left: 1.5rem;
}

@keyframes pulse {
  0% {
    transform: scale(0.9);
  }

  50% {
    transform: scale(0.8);
  }

  100% {
    transform: scale(0.9);
  }
}

.fire {
  animation: pulse 3s linear infinite;
}

/* 雲背景 */

.form-bg {
  position: relative;
  z-index: 1;
}

.fa-cloud {
  color: #fcfcf7;
}

.cloud-top {
  font-size: 20rem;
  position: relative;
}

.cloud-bottom {
  font-size: 20rem;
  position: absolute;
  bottom: -4rem;
  left: 0;
}

.cloud-top-sm {
  font-size: 6rem;
  position: relative;
  top: -5rem;
  left: 0rem;
}

.cloud-bottom-sm {
  font-size: 6rem;
  position: absolute;
  bottom: 7rem;
  left: 0rem;
}

@keyframes float {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-6px);
  }

  100% {
    transform: translateY(0);
  }
}

.faa-float {
  animation: float 3s linear infinite;
}

/* ログインフォーム */

#login-form {
  position: absolute;
  z-index: 2;
  display: flex;
  justify-content: center;
}

.cp_group#id {
  position: absolute;
  top: 8rem;
  width: 20rem;
  margin: 0 auto;
}

.cp_group#pass {
  position: absolute;
  top: 13rem;
  width: 20rem;
  margin: 0 auto;
}

.cp_group .cp_label {
  position: absolute;
  top: 0.25rem;
  pointer-events: none;
  padding-left: 0.125rem;
  z-index: 3;
  color: #b3b3b3;
  font-size: 1rem;
  font-weight: normal;
  transition: all 0.28s ease;
}
.cp_group .bar {
  position: relative;
  border-bottom: 0.0625rem solid #999999;
  display: block;
}
.cp_group .bar::before {
  content: '';
  height: 0.125rem;
  width: 0;
  left: 50%;
  bottom: -0.0625rem;
  position: absolute;
  background: #da3c41;
  transition: left 0.28s ease, width 0.28s ease;
  z-index: 4;
}

.cp_group input[type=text],
.cp_group input[type=password] {
  display: block;
  background: none;
  padding: 0.125rem 0.125rem 0.0625rem;
  font-size: 1rem;
  border-width: 0;
  border-color: transparent;
  line-height: 1.9;
  width: 100%;
  color: transparent;
  transition: all 0.28s ease;
  box-shadow: none;
}

.cp_group input:focus,
.cp_group input:valid {
  color: #333;
}

.cp_group input:focus ~ .cp_label,
.cp_group input:valid ~ .cp_label {
  font-size: 0.8rem;
  color: #da3c41;
  top: -1rem;
}

.cp_group input:focus {
  outline: none;
}

.cp_group input:focus ~ .cp_label {
  color: #da3c41;
}

.cp_group input:focus ~ .bar::before {
  width: 100%;
  left: 0;
}

/* ミトン */
.fa-mitten {
  position: absolute;
  font-size: 7rem;
  color: #F29F05;
  transform:rotate(30deg) rotateY(180deg);
  top: -5.5rem;
  z-index: 4;
  text-shadow: -1px -1px 0px #8f0000,
    3px 3px 0px #8f0000,
    6px 6px 0px #400000;
}

.fa-mitten:hover {
  color: #ff8520;
}

.fa-mitten:active {
  text-shadow: none;
  transform:rotate(20deg) rotateY(180deg);
}

button.fa-stack {
  background-color: transparent;
  border: none;
  cursor: pointer;
  outline: none;
  padding: 0;
  appearance: none;
}


/* 新規登録フォーム */

/* はかり */
.mdi-scale {
  font-size: 13rem;
  position: relative;
  top: -4.9rem;
  transform: rotateY(180deg);
}

.mdi-scale::before {
  color: transparent;
  background: linear-gradient(0deg, #6E8C03 0%, #4a5b10 60%, #4a5b10 65%, #6E8C03 100%);
  -webkit-background-clip: text;
}

.circle {
  position: absolute;
  top: 16.8rem;
  background: #d1d7af;
  height: 80px;
  width: 160px;
  border-radius: 80px 80px 0 0;
  z-index: 0;
}

/* ふきだし */
.fa-comment {
  position: relative;
  font-size: 7rem;
  color: #F29F05;
  bottom: -1rem;
}

.regist {
  right: 10rem;
}

.cancel {
  left: 10rem;
}

.comment-right {
  text-shadow: -1px -1px 0px #f9ae44,
     5px 5px 0px #400000;
}

.text-right {
  position: absolute;
  font-size: 1.3rem;
  color: black;
  top: 3.4rem;
  left: 2.2rem;
}

.comment-left {
  color: #894e2c;
  transform: rotateY(180deg);
  text-shadow: -1px -1px 0px #9f694c,
     5px 5px 0px #400000;
}

.text-left {
  position: absolute;
  font-size: 1.1rem;
  color: black;
  top: 3.4rem;
  left: -3.8rem;
}

.regist:active .comment-right,
.cancel:active .comment-left {
  text-shadow: none;
}

.regist:hover .comment-right {
  color: #ff8520;
}

.regist:hover {
  animation: bounceN 2s ease infinite;
}

.cancel:hover {
  animation: horizontalN 1s ease infinite;
}

.cancel:hover .comment-left {
  color: #714126;
  animation: horizontalR 2s ease infinite;
}

/* 通常時用bounce */
@keyframes bounceN {
  0%, 10%, 20%, 50%, 80%, 100% {
    transform: translateY(0);
  }

  40%, 60% {
    transform: translateY(-15px);
  }
}

/* 通常時用horizontal */
@keyframes horizontalN {
  10%, 30%, 50%, 70%, 90% {
    transform: translateX(0);
  }

  0%, 20%, 40%, 60%, 80%, 100% {
    transform: translateX(-5px);
  }
}

/* 反転時用horizontal */
@keyframes horizontalR {
  0%, 100% {
    transform: rotateY(180deg) translateX(0);
  }
}


/* メニュー */

*, *:before, *:after {
	-webkit-box-sizing: border-box;
	        box-sizing: border-box;
}

/* 上メニュー */

.header {
	position: relative;
	overflow: hidden;
	width: 400px;
	height:80px;
    margin-left: 80px;
}

.header #headnav a {
	overflow: hidden;
	font-size: 20px;
	position: absolute;
    margin-top: 10px;

	height: 100px;
    bottom: -55px;
	padding: 3% 3%; /* 上下 左右 or 上 右 下 左 */
	transition: 0.3s;
	text-decoration: none;
	color: #ffffff;
	border-radius: 5px 5px 0 0;
}

.header #headnav a:hover {
	bottom: -40px; /* 上記のbottom位置から動かす距離 */
}

.header #home {
	background-color: #f27200;
}

/* 右メニュー */

.navi {
	position: relative;
	overflow: hidden;
	width: 50px;
	height:360px;
    margin-left: -15px;
}

.navi #sidenav a {
	font-size: 20px;
	position: absolute;
	left: -75px;
	width: 110px;
	height: 54px;
	padding: 12px 0px 12px 80px; /* 上下 左右 or 上 右 下 左 */
	transition: 0.3s;
	text-decoration: none;
	color: #ffffff;
	border-radius: 0 5px 5px 0;
}

.navi #sidenav a:hover {
	left: -60px; /* 上記left位置から動かす距離 */
}

.navi #user {
	top: 20px;
	background-color: #F29F05;
}

.navi #settings {
	top: 100px;
	background-color: #6E8C03;
}

.navi #add {
	top: 180px;
	background-color: #D92D07;
}

.navi #logout {
	top: 260px;
	background-color: #A65D33;
}